/*******************************************************************
 *       commands.h
 *
 *       Include file for commands.c
 *******************************************************************/

#ifndef COMMANDS_H
#define COMMANDS_H

#define NUMBEROF_TOKENS 10
#define MAX_SIZEOF_COMMAND 80
#define MAX_RESPONSE_STRING 640

/*  Structs */
typedef struct {
    char theCommand[80];
    char *(*fp)(char **tokens, int numberofArgs);
    int numberofArgs;
    char help[80];
} termCommands_t;

/*  Global Variables */
extern const char prodName[];
extern const char built[];
extern const char prompt[];
extern char versionString[];
extern char linkTimeStamp[];

/*  Prototypes */
char *GetIntroPrompt(void);
char *processIncomingCmd(char *incoming_command);

#endif
