#include <pkgconf/system.h>
#include <pkgconf/watchdog.h>
#include <pkgconf/kernel.h> 
#include <cyg/io/watchdog.hxx>
#include "watchdog.h"

// return watchdog period in ms

externC unsigned long watchdogPeriod(void)
{
  return (unsigned long)(Cyg_Watchdog::watchdog.get_resolution() / 1000000LL);
}

externC void watchdogStart(void)
{
  Cyg_Watchdog::watchdog.start();
}

externC void watchdogReset(void)
{
  Cyg_Watchdog::watchdog.reset();
}
  
